// Auth Interface service declaration

unit Auth.Service;

interface

uses
  XData.Service.Common,
  Aurelius.Mapping.Attributes,
  System.Generics.Collections,
  System.JSON;

const
  AUTH_MODEL = 'Auth';

type

  [ServiceContract, Model(AUTH_MODEL)]
  IAuthService = interface(IInvokable)
  ['{9CFD59B2-A832-4F82-82BB-9A25FC93F305}']
    function Login(const userId, taskId, urlCode: string): string;
    function VerifyVersion(ClientVersion: string): TJSONObject;
    function WebLogin(const userId, taskId, password: string): string;
  end;

implementation


end.
